; *** THIS FILE IS ENTIRELY OPTIONAL (harhar) ***
; the original command line options and settings by file will override anything in this ini

; leave any items you don't want to set out of this ini file, or leave their values blank

; console type
; valid values are: xenon, zephyr, falcon, jasper, jasper256, jasper512, jasperbb, jasperbigffs, trinity, corona
; ie: type=falcon;
type =
; put hexidecimal 1BL key here, or on command line, or in 1blkey.txt
1blkey = 8CFC1DFDCF5C37A52AE427C397A45363
; put hexidecimal cpu key here, or on command line, or in cpukey.txt
cpukey = 13378008313500f26816F9ACF23FEEA4
; byte 0x21f of decrypted CF (also is the count of 0xF in fuse rows 7 and 8)
; if you provide a nanddump.bin with the correct ldv value, there is no reason to fill this in
; jtag and glitch2 images won't care what this value is set to, but glitch and retail images require this to match CPU fuses
; valid values are 1 - 32, leave blank to set to 0 for devkit images
cfldv =

; this allows one to patch dvd key into glitch/jtag/devkit images, it will be ignored for retail images
; ie: dvdkey = 8CFC1DFDCF5C37A52AE427C397A45363
dvdkey = 

; ******************* JTAG and GLITCH common options *******************
; valid buttons are: power (console power button), eject (DVD eject button), remopower (IR power button), remox (IR guide button)
;                    winbutton (IR windows button), wirelessx (wireless controller guide button), wiredx (wired controller guide button)
;                    kiosk (debug kiosk/remote power on pin)
; sets which power on button causes Xell to start
; note this setting is ignored when olddvd or nodvd is set to TRUE, and by default is set to eject button
xellbutton = eject
; same as above, if you would like to have xell launch on two separate reasons instead of one
; leaving blank disables alternate reason entirely
xellbutton2 = 
; sets UART speed during bootstrap to cygnos compatible speeds (true/false)
cygnos = false
; will attempt to patch smc to disable eject button input enitrely (true/false)
; causes eject button to never read as being pressed
smcnoeject = false
; will attempt to patch smc to disable center light of ROL from blinking more than once (true/false)
smcnoblink = false

; ******************* JTAG only options *******************
; *** these options affect how the freeboot core is patched to work ***

; olddvd is the old fbbuild method of checking tray status (not closed) to start xell (true/false)
olddvd = false
; nodvd is the old ibuild method of checking tray status (fully open) to start xell and implies 'olddvd' (true/false)
nodvd = false

; sets which power on button causes core to send !SWITCH signal to UART, by default it's set to nothing
; note this setting will have no effect on single NAND systems, and will be ignored if set to the same as xellbutton
; see xellbutton explanation for valid values
dualboot =

; ******************* GLITCH only options *******************
; will patch clean smc similar to imgbuild script, ignored for retail and jtag
; will do nothing but warn if the smc given is not in the built in list
; defaults to FALSE if not present
patchsmc = false

; ******************* ALL machines options *******************
; the values below here represent the default values if the items are not present in the ini
; for number values, 0 is 'don't change'
; ************************************************************

; this will skip using the mobile*.dat files in nanddump.bin (true/false)
nomobile = true
; this will skip applying any bad block remapping to the final image (true/false)
noremap = false
; if noremap is set to false, setting this option to true will skip remapping blocks with ECD sum mismatches (true/false)
noecdremap = false
; if a Big Block nand image is provided and nandmu is set to TRUE, blocks 0x10 through 0x15B (inclusive) will be copied from the dump (true/false)
; to the final image, when NAND MU data is detected only, to attempt to preserve NAND MU content that is present in the first 64M
; if the dump is provided as a full 256M or 512M dump, the remaining 192M/448M will be copied onto the end of the new image as well
; and flashig this full image will increase the changes of keeping the MU contents intact
nandmu = false
; if set to true, nanddump.bin will not be processed for security files listed in file list inis (true/false)
nosecurity = false
; if set to true, su20076000_00000000 will not be processed for security files listed in file list inis (true/false)
nosusecurity = false

; will alter the input smc config target temp for CPU when fans are on auto, value is in Centigrade
; example: cputemp=60; sets 60C as the target temp for the auto fan speed algo
cputemp = 
; will alter the input smc config target temp for GPU when fans are on auto, value is in Centigrade
; example: gputemp=60; sets 60C as the target temp for the auto fan speed algo
gputemp = 
; will alter the input smc config target temp for EDRAM when fans are on auto, value is in Centigrade
; example: edramtemp=60; sets 60C as the target temp for the auto fan speed algo
edramtemp = 
; will alter the input smc config overheat/overload temp for CPU when fans are on auto, value is in Centigrade
; example: cputemp=60; sets 60C as the overheat/overload temp for the auto fan speed algo
overcputemp =
; will alter the input smc config overheat/overload temp for GPU when fans are on auto, value is in Centigrade
; example: gputemp=60; sets 60C as the overheat/overload temp for the auto fan speed algo
overgputemp =
; will alter the input smc config overheat/overload temp for EDRAM when fans are on auto, value is in Centigrade
; example: edramtemp=60; sets 60C as the overheat/overload temp for the auto fan speed algo
overedramtemp =

; will force CPU fan to run at this speed all the time, valid values are 0-100 in decimal
; note that this value should have no effect on most fat consoles
; leave this value blank if you don't want to change it, and set to 0 if you want to set it to Auto
; example cpufan=80;
cpufan =
; will force GPU fan to run at this speed all the time, valid values are 0-100 in decimal
; note that this value will have no effect on fan speed on slim consoles
; leave this value blank if you don't want to change it, and set to 0 if you want to set it to Auto
; example gpufan=80;
gpufan =

; sets the video output mode, known values are 0x100 (NTSC) and 0x300 (PAL)
avregion =
; this is a 16bit value that denotes the console's game region
; ie: gameregion = 0x00FF; would be a NTSC/US game region console
gameregion =
; this is a 32 bit value that sets the consoles DVD region, 1-8 appear to be valid, there may be others for 'region free'
dvdregion =

; will alter the mac address in smc config, input hex value without any 0x for the 6 bytes
; example: macid=00:22:48:F1:01:02;
macid =

